<div class="row">
  <% photos.where('is_hidden = ?', false).each do |photo| %>
    <div class="col-4<%= ' offset-4' if !defined?(in_cols) %>">
      <div class="card my-2">
        <div class="card-header">
          <%= link_to photo.user.name, users_show_path(photo.user.id) %>
        </div>

        <div class="card-body">
          <% if photo.images.length === 1 %>
            <img class="photo w-100" src="<%= url_for(photo.images[0]) %>">
          <% else %>
            <div id="photo-<%= photo.id %>" class="carousel slide" data-ride="carousel">
              <div class="carousel-inner" role="listbox">
                <% photo.images.each_with_index do |image, i| %>
                  <div class="carousel-item<%= ' active' if i == 0 %>">
                    <img class="photo d-block w-100" src="<%= url_for(image) %>">
                  </div>
                <% end %>
              </div>

              <a class="carousel-control-prev" href="#photo-<%= photo.id %>" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>

              <a class="carousel-control-next" href="#photo-<%= photo.id %>" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          <% end %>

          <div class="stats">
            <span class="badge badge-danger">Likes: <%= photo.likes.count %></span>
            <span class="badge badge-info">Comments: <%= photo.comments.count %></span>
          </div>
          <hr />
          <% if current_user %>
            <div class="like">
              <% like = photo.get_like_for_user(current_user.id)%>
              <%  if like  %>
                  <%= link_to "💔", likes_destroy_path(like.id), :class => "btn-like" %>
              <%  else %>
                  <%= link_to "❤️", likes_new_path(photo.id), :class => "btn-like" %>
              <%  end %>
            </div>
            
            <div class="comments mt-3">
              <% photo.comments.where('is_hidden = ?', false).each do |comment| %>
                <div class="alert alert-secondary" role="alert">
                  <span class="text-primary"><%= comment.user.name %>:</span><br/><%= comment.text %>
                </div>
              <% end %>
            </div>
            <%= form_for "comment", url: comments_new_path(photo.id), :html => {:class => 'comment-form'} do |form| %>
              <%= form.text_area :text %>
              <%= form.submit "Опубликовать", :class => "btn btn-primary btn-sm" %>
            <% end %>
          <%  end %>
        </div>

        <div class="card-footer text-muted">
          <%= photo.created_at %>
        </div>
      </div>
    </div>
  <% end %>

  <% if photos.length == 0 %>
    <div class="col-12">
      <h3 class="text-warning">Нет фотографий</h3>
    </div>
  <% end %>
</div>
